# Summary
<!-- 1 -->
* [Installing](Installing/README.md)
  * [Linux](Installing/Linux.md)
  * [Mac OS X](Installing/MacOSX.md)
  * [Windows](Installing/Windows.md)
  * [Compiling](Installing/Compiling.md)
  * [Upgrading in general](Installing/Upgrading.md)
  * [Upgrading to new version](Upgrading/UpgradingNewVersion.md)
  * [Set up Cluster](Installing/Cluster.md)
<!-- 2 -->
* [First Steps](FirstSteps/README.md)
  * [Getting Familiar](FirstSteps/GettingFamiliar.md)
  * [The ArangoDB Server](FirstSteps/Arangod.md)
  * [The ArangoDB Shell](Arangosh/README.md)
    * [Shell Output](Arangosh/Output.md)
    * [Configuration](Arangosh/Configuration.md)
    * [Details](FirstSteps/Arangosh.md)
  * [Collections](FirstSteps/CollectionsAndDocuments.md)
<!-- 3 -->
* [ArangoDB Web Interface](WebInterface/README.md)
<!-- 4 -->
* [Handling Databases](Databases/README.md)
  * [Working with Databases](Databases/WorkingWith.md)
  * [Notes about Databases](Databases/Notes.md)
<!-- 5 -->
* [Handling Collections](Collections/README.md)
  * [Collection Methods](Collections/CollectionMethods.md)
  * [Database Methods](Collections/DatabaseMethods.md)
<!-- 6 -->
* [Handling Documents](Documents/README.md)
  * [Address and ETag](Documents/DocumentAddress.md)
  * [Collection Methods](Documents/DocumentMethods.md)
  * [Database Methods](Documents/DatabaseMethods.md)
<!-- 7 -->
* [Handling Edges](Edges/README.md)
<!-- 8 -->
* [Simple Queries](SimpleQueries/README.md)
  * [Geo Queries](SimpleQueries/GeoQueries.md)
  * [Fulltext Queries](SimpleQueries/FulltextQueries.md)
  * [Pagination](SimpleQueries/Pagination.md)
  * [Sequential Access](SimpleQueries/Access.md)
  * [Modification Queries](SimpleQueries/ModificationQueries.md)
<!-- 9 -->
* [Transactions](Transactions/README.md)
  * [Transaction invocation](Transactions/TransactionInvocation.md)
  * [Passing parameters](Transactions/Passing.md)
  * [Locking and isolation](Transactions/LockingAndIsolation.md)
  * [Durability](Transactions/Durability.md)
  * [Limitations](Transactions/Limitations.md)
<!-- 10 -->
* [Write-ahead log](WriteAheadLog/README.md)
<!-- 11 -->
* [AQL](Aql/README.md)
  * [How to invoke AQL](Aql/Invoke.md)
  * [Data modification queries](Aql/DataModification.md)
  * [Language Basics](Aql/Basics.md)
  * [Functions](Aql/Functions.md)
  * [Query Results](Aql/QueryResults.md)
  * [Operators](Aql/Operators.md)
  * [High level Operations](Aql/Operations.md)
  * [Graph Operations](Aql/GraphOperations.md)
  * [Advanced Features](Aql/Advanced.md)
  * [Extending AQL](AqlExtending/README.md)
    * [Conventions](AqlExtending/Conventions.md)
    * [Registering Functions](AqlExtending/Functions.md)
  * [AQL Examples](AqlExamples/README.md)
    * [Collection based queries](AqlExamples/CollectionQueries.md)
    * [Data-modification queries](AqlExamples/DataModificationQueries.md)
    * [Projections and filters](AqlExamples/ProjectionsAndFilters.md)
    * [Joins](AqlExamples/Join.md)
    * [Grouping](AqlExamples/Grouping.md)
<!-- 12 -->
* [General Graphs](General-Graphs/README.md)
  * [Graph Management](General-Graphs/Management.md)
  * [Graph Functions](General-Graphs/Functions.md)
  * [Fluent Query Interface](General-Graphs/FluentAQLInterface.md)
<!-- 13 -->
* [(Deprecated) Blueprint Graphs](Blueprint-Graphs/README.md)
  * [Graph Constructor](Blueprint-Graphs/GraphConstructor.md)
  * [Vertex Methods](Blueprint-Graphs/VertexMethods.md)
  * [Edge Methods](Blueprint-Graphs/EdgeMethods.md)
<!-- 14 -->
* [Traversals](Traversals/README.md)
  * [Using Traversal Objects](Traversals/UsingTraversalObjects.md)
  * [Example Data](Traversals/ExampleData.md)
<!-- 15 -->
* [Foxx](Foxx/README.md)
  * [Handling Request](Foxx/HandlingRequest.md)
  * [Manifest](Foxx/FoxxManifest.md)
  * [FoxxController](Foxx/FoxxController.md)
  * [FoxxModel](Foxx/FoxxModel.md)
  * [FoxxRepository](Foxx/FoxxRepository.md)
  * [Deploying Applications](Foxx/DeployingAnApplication.md)
  * [Developing Applications](Foxx/DevelopingAnApplication.md)
  * [Dependency Injection](Foxx/FoxxInjection.md)
  * [Foxx Exports](Foxx/FoxxExports.md)
  * [Optional Functionality](Foxx/FoxxOptional.md)
<!-- 16 -->
* [Foxx Manager](FoxxManager/README.md)
  * [First Steps](FoxxManager/FirstSteps.md)
  * [Behind the scenes](FoxxManager/BehindTheScenes.md)
  * [Multiple Databases](FoxxManager/MultipleDatabases.md)
  * [Manager Commands](FoxxManager/ManagerCommands.md)
  * [Frequently Used Options](FoxxManager/FrequentlyUsedOptions.md)
<!-- 17 -->
* [ArangoDB's Actions](ArangoActions/README.md)
  * [Delivering HTML Pages](ArangoActions/HtmlExample.md)
  * [Json Objects](ArangoActions/JsonExample.md)
  * [Modifying](ArangoActions/Modifying.md)
<!-- 18 -->
* [Replication](Replication/README.md)
  * [Components](Replication/Components.md)
  * [Example Setup](Replication/ExampleSetup.md)
  * [Replication Limitations](Replication/Limitations.md)
  * [Replication Overhead](Replication/Overhead.md)
<!-- 19 -->
* [Sharding](Sharding/README.md)
  * [How to try it out](Sharding/HowTo.md)
  * [Implementation](Sharding/StatusOfImplementation.md)
  * [Authentication](Sharding/Authentication.md)
  * [Firewall setup](Sharding/FirewallSetup.md)
<!-- 20 -->
* [Configure ArangoDB](ConfigureArango/README.md)
  * [Arangod options](ConfigureArango/Arangod.md)
  * [Write-ahead log options](ConfigureArango/Wal.md)
  * [Endpoints options](ConfigureArango/Endpoint.md)
  * [Cluster options](ConfigureArango/Cluster.md)
  * [Logging options](ConfigureArango/Logging.md)
  * [Communication options](ConfigureArango/Communication.md)
  * [Random numbers](ConfigureArango/RandomNumbers.md)
  * [Authentication](ConfigureArango/Authentication.md)
  * [Emergency Console](ConfigureArango/EmergencyConsole.md)
<!-- 21 -->
* [Arangoimp](Arangoimp/README.md)
<!-- 22 -->
* [Arangodump](Arangodump/README.md)
<!-- 23 -->
* [Arangorestore](Arangorestore/README.md)
<!-- 24 -->
* [HTTP API](HttpApi/README.md)
  * [Databases](HttpDatabase/README.md)
    * [To-Endpoint](HttpDatabase/DatabaseEndpoint.md)
    * [Management](HttpDatabase/DatabaseManagement.md)
    * [Notes on Databases](HttpDatabase/NotesOnDatabases.md)
  * [Documents](HttpDocument/README.md)
    * [Address and ETag](HttpDocument/AddressAndEtag.md)
    * [Working with](HttpDocument/WorkingWithDocuments.md)
  * [Edges](HttpEdge/README.md)
    * [Address and ETag](HttpEdge/AddressAndEtag.md)
    * [Working with Edges](HttpEdge/WorkingWithEdges.md)
  * [AQL Query Cursors](HttpAqlQueryCursor/README.md)
    * [Query Results](HttpAqlQueryCursor/QueryResults.md)
    * [Accessing Cursors](HttpAqlQueryCursor/AccessingCursors.md)
  * [AQL Queries](HttpAqlQuery/README.md)
  * [AQL User Functions Management](HttpAqlUserFunctions/README.md)
  * [Simple Queries](HttpSimpleQuery/README.md)
  * [Collections](HttpCollection/README.md)
    * [Creating](HttpCollection/Creating.md)
    * [Getting Information](HttpCollection/Getting.md)
    * [Modifying](HttpCollection/Modifying.md)
  * [Indexes](HttpIndexes/README.md)
    * [Working with Indexes](HttpIndexes/WorkingWith.md)
    * [Cap Constraints](HttpIndexes/Cap.md)
    * [Hash](HttpIndexes/Hash.md)
    * [Skiplist](HttpIndexes/Skiplist.md)
    * [Geo](HttpIndexes/Geo.md)
    * [Fulltext](HttpIndexes/Fulltext.md)
  * [Transactions](HttpTransaction/README.md)
  * [General Graph](HttpGharial/README.md)
    * [Management](HttpGharial/Management.md)
    * [Vertices](HttpGharial/Vertices.md)
    * [Edges](HttpGharial/Edges.md)
  * [(Deprecated) Graphs](HttpGraphs/README.md)
    * [Vertex](HttpGraphs/Vertex.md)
    * [Edges](HttpGraphs/Edge.md)
  * [Traversals](HttpTraversal/README.md)
  * [Replication](HttpReplications/README.md)
    * [Replication Dump](HttpReplications/ReplicationDump.md)
    * [Replication Logger](HttpReplications/ReplicationLogger.md)
    * [Replication Applier](HttpReplications/ReplicationApplier.md)
    * [Other Replication Commands](HttpReplications/OtherReplication.md)
  * [Bulk Imports](HttpBulkImports/README.md)
    * [JSON Documents](HttpBulkImports/ImportingSelfContained.md)
    * [Headers and Values](HttpBulkImports/ImportingHeadersAndValues.md)
  * [Batch Requests](HttpBatchRequest/README.md)
  * [Monitoring](HttpAdministrationAndMonitoring/README.md)
  * [User Management](HttpUserManagement/README.md)
  * [Async Result](HttpAsyncResultsManagement/README.md)
  * [Endpoints](HttpEndpoints/README.md)
  * [Sharding](HttpShardingInterface/README.md)
  * [Miscellaneous functions](HttpMiscellaneousFunctions/README.md)
  * [General Handling](GeneralHttp/README.md)
<!-- 25 -->
* [Javascript Modules](ModuleJavaScript/README.md)
  * ["console"](ModuleConsole/README.md)
  * ["fs"](ModuleFs/README.md)
  * [(Deprecated) "graph"](ModuleGraph/README.md)
    * [Graph Constructors](ModuleGraph/GraphConstructor.md)
    * [Vertex Methods](ModuleGraph/VertexMethods.md)
    * [Edge Methods](ModuleGraph/EdgeMethods.md)
  * ["actions"](ModuleActions/README.md)
  * ["planner"](ModulePlanner/README.md)
  * [Write-ahead log](ModuleWal/README.md)
  * [Task Management](ModuleTasks/README.md)
  * [Using jsUnity](UsingJsUnity/README.md)
<!-- 26 -->
* [Administrating ArangoDB](AdministratingArango/README.md)
<!-- 27 -->
* [Handling Indexes](IndexHandling/README.md)
  * [Cap Constraint](IndexHandling/Cap.md)
  * [Geo Indexes](IndexHandling/Geo.md)
  * [Fulltext Indexes](IndexHandling/Fulltext.md)
  * [Hash Indexes](IndexHandling/Hash.md)
  * [Skip-Lists](IndexHandling/Skiplist.md)
  * [BitArray Indexes](IndexHandling/BitArray.md)
<!-- 28 -->
* [Datafile Debugger](DatafileDebugger/README.md)
<!-- 29 -->
* [Naming Conventions](NamingConventions/README.md)
  * [Database Names](NamingConventions/DatabaseNames.md)
  * [Collection Names](NamingConventions/CollectionNames.md)
  * [Document Keys](NamingConventions/DocumentKeys.md)
  * [Attribute Names](NamingConventions/AttributeNames.md)
<!-- 30 -->
* [Error codes and meanings](ErrorCodes/README.md)
