ArangoDB (@VERSION) {#Home}
===========================

ArangoDB is a multi-purpose, open-source database with flexible data
models for documents, graphs, and key-values. Build high performance
applications using a convenient SQL-like query language or
JavaScript/Ruby extensions. Use ACID transaction if you require
them. Scale horizontally and vertically with a few mouse clicks.

It focuses on durability of the data taking advantage of new
technologies like SSD, support for graph and geo algorithms needed in
social networks, ease of use for the developer and minimal effort to
operate for the administrator. The design goals are described
@S_EXTREF{http://www.arangodb.org/,here}.

The ArangoDB package consists of a server, a separate shell, which
allows you to administrate the server, and a set of client APIs (or
sometimes called drivers) for various languages including the Big-P
(PHP, Python, Perl) and Ruby.

Please contact @S_EXTREF_S{http://www.arangodb.org/community,us} if
you have any questions.

Upgrading to ArangoDB 2.1 {#ArangoDBUpgrading21}
================================================

- @BOOK_REF{NewFeatures21}
- @BOOK_REF{Upgrading21}

See @ref Upgrading from older releases.

Cookbooks and Tutorials {#ArangoCookbooks}
==========================================

The reference manuals provide you with all the information you will
every need. However, this amount of information can sometimes be
overwhelming. Therefore, we provide a series of cookbooks and
tutorials which give you a brief overview.

- @BOOK_REF{CookbookCluster}

ArangoDB's User Manuals {#ArangoDBUserManual}
=============================================

- @BOOK_REF{UserManual} @S_EXTREF{user-manual.pdf,pdf}

- @BOOK_REF{DbaManual} @S_EXTREF{dba-manual.pdf,pdf}

- @BOOK_REF{ToolsManual} @S_EXTREF{tools-manual.pdf,pdf}

- also see the @ref Glossary

- @EXTREF{shell_reference_card.pdf,Cheat Sheet} 

ArangoDB's Administrator Manuals {#ArangoDBAdminManual}
=======================================================

- @BOOK_REF{InstallManual} @S_EXTREF{install-manual.pdf,pdf}

ArangoDB's Developer Manuals {#ArangoDBAPIManual}
=================================================

- @BOOK_REF{ImplementorManual} @S_EXTREF{implementor-manual.pdf,pdf}

- @BOOK_REF{RefManual} @S_EXTREF{ref-manual.pdf,pdf}

API aka Drivers {#HomeApi}
==========================

Though ArangoDB is yet a young project, a couple of people started to
add APIs for different programming languages/frameworks. See
@S_EXTREF{http://www.arangodb.org/drivers,http://www.arangodb.org/drivers}.

Stay in Contact {#HomeStayInContact}
====================================

Frank is twittering for the project on Twitter using
@S_EXTREF{http://www.twitter.com/fceller,@@fceller}. We've also a
"generic" twitter account mainly for announcements called
@S_EXTREF{http://www.twitter.com/arangodb,@@arangodb}

You can also subscribe to a low traffic announcement list on the
@S_EXTREF{http://www.arangodb.org/community,connect page}.
